Skip to main content
GET
/
coaching
/
driver-coach-assignments
Get driver coach assignments.
curl --request GET \
  --url https://api.samsara.com/coaching/driver-coach-assignments \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "coachId": "45646",
      "createdAtTime": "2019-06-13T19:08:25Z",
      "driver": {
        "driverId": "0987",
        "externalIds": {}
      },
      "updatedAtTime": "2019-06-13T19:08:25Z"
    }
  ],
  "pagination": {
    "endCursor": "MjkY",
    "hasNextPage": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

driverIds
string[]

Optional string of comma separated IDs of the drivers. This can be either a unique Samsara driver ID or an external ID for the driver.

coachIds
string[]

Optional string of comma separated IDs of the coaches.

includeExternalIds
boolean

Optional boolean indicating whether to return external IDs on supported entities

after
string

If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.

Response

OK response.

data
object[]
required

List of driver coach assignment objects

pagination
object
required

Pagination parameters.